package com.blamejared.compat.botania;

import java.util.Iterator;
import java.util.List;
import vazkii.botania.api.BotaniaAPI;
import vazkii.botania.api.lexicon.KnowledgeType;
import vazkii.botania.api.lexicon.LexiconCategory;
import vazkii.botania.api.lexicon.LexiconEntry;

public class BotaniaHelper {
   public static LexiconCategory findCatagory(String name) {
      List<LexiconCategory> catagories = BotaniaAPI.getAllCategories();
      Iterator var2 = catagories.iterator();

      LexiconCategory catagory;
      do {
         if (!var2.hasNext()) {
            return null;
         }

         catagory = (LexiconCategory)var2.next();
      } while(!catagory.getUnlocalizedName().equalsIgnoreCase(name));

      return catagory;
   }

   public static LexiconEntry findEntry(String name) {
      List<LexiconEntry> entries = BotaniaAPI.getAllEntries();
      Iterator var2 = entries.iterator();

      LexiconEntry entry;
      do {
         if (!var2.hasNext()) {
            return null;
         }

         entry = (LexiconEntry)var2.next();
      } while(!entry.getUnlocalizedName().equalsIgnoreCase(name));

      return entry;
   }

   public static KnowledgeType findKnowledgeType(String name) {
      return BotaniaAPI.knowledgeTypes.containsKey(name) ? (KnowledgeType)BotaniaAPI.knowledgeTypes.get(name) : null;
   }
}
